NSX-T Data Center REST API

Read a third party IPAM provider

Read third party IPAM provider with given Id.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/third-party-ipam-providers/{provider-instance-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<policy-mgr>/policy/api/v1/infra/third-party-ipam-providers/

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
InfobloxIPAMProvider+

Example Response:

{ "resource_type": "INFOBLOX", "host_name": "gridmaster.example.com", "port": 443, "username": "infoblox_user", "password": "password", "network_view": "default", "dns_view": "default", "wapi_version": "2.12" }

Required Permissions:

read

Feature:

third_party_ipam

Additional Errors: